FailureToPay Class Reference

Failure to Pay atomic event type. More...

`#include <ql/experimental/credit/defaulttype.hpp>`

Inheritance diagram for FailureToPay:
[legend]

## Public Member Functions

| FailureToPay (const Period &grace, Real amount=1.e+6)
Real | amountRequired () const
const Period & | gracePeriod () const
Public Member Functions inherited from DefaultType
| DefaultType (AtomicDefault::Type defType=AtomicDefault::Bankruptcy, Restructuring::Type restType=Restructuring::XR)
AtomicDefault::Type | defaultType () const
Restructuring::Type | restructuringType () const
bool | isRestructuring () const
bool | containsDefaultType (AtomicDefault::Type defType) const
bool | containsRestructuringType (Restructuring::Type resType) const

## Additional Inherited Members

Protected Attributes inherited from DefaultType
AtomicDefault::Type | defTypes_
Restructuring::Type | restrType_

## Detailed Description

Failure to Pay atomic event type.